package data

type Login struct {
	Username string `db:"username" validate:"required"`
	Password string `db:"password" validate:"required"`
}

type Link struct {
  Id int `db:"id" json:"id"`
  StreamId int `db:"stream_id" json:"stream_id" form:"stream_id" validate:"required,numeric"`
  Url string `db:"url" json:"url" form:"url" validate:"required,url"`
  Description string `db:"description" json:"description" form:"description" validate:"required"`
}

type Stream struct {
  Id int `db:"id" json:"id"`
  Title string `db:"title" json:"title"`
  Description string `db:"description" json:"description"`
}
